unit frm_Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls, ExtCtrls, ComCtrls, ImgList;

type
  TFormMain = class(TForm)
    LVUsers: TListView;
    Panel1: TPanel;
    BRefresh: TButton;
    ImageList1: TImageList;
    BPrivate: TButton;
    BOpenAll: TButton;
    BPrivateAll: TButton;
    procedure FormCreate(Sender: TObject);
    procedure LVUsersDblClick(Sender: TObject);
    procedure BRefreshClick(Sender: TObject);
    procedure BPrivateClick(Sender: TObject);
    procedure BOpenAllClick(Sender: TObject);
    procedure BPrivateAllClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormMain: TFormMain;

implementation

uses frm_Private;

{$R *.dfm}

procedure TFormMain.FormCreate(Sender: TObject);
begin
  BRefresh.OnClick(Self);
end;

procedure TFormMain.LVUsersDblClick(Sender: TObject);
begin
  if LVUsers.Selected = nil then Exit;
  FormPrivate.ProcAddTab(StrToIntDef((LVUsers.Items[LVUsers.ItemIndex].SubItems[2]), -1), LVUsers.Items[LVUsers.ItemIndex].SubItems[0]);
end;

procedure TFormMain.BRefreshClick(Sender: TObject);
var
  Item: TListItem;
begin
  LVUsers.Items.BeginUpdate;
  LVUsers.Items.Clear;
  //   
  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Shouldercannon'); //  
  Item.SubItems.Add('1'); // 
  Item.SubItems.Add('1'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Kira'); //  
  Item.SubItems.Add('1'); // 
  Item.SubItems.Add('3'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Illana'); //  
  Item.SubItems.Add('2'); // 
  Item.SubItems.Add('5'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Nikita'); //  
  Item.SubItems.Add('3'); // 
  Item.SubItems.Add('7'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Zenith'); //  
  Item.SubItems.Add('4'); // 
  Item.SubItems.Add('9'); // ID 
  Item.ImageIndex := 0; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Archon'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('10'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Aryss'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('11'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Alarik'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('12'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Dessloch'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('13'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Cryss'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('14'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Drimacus'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('15'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Rhea'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('16'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Raynor'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('17'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Karag'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('18'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Cali'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('19'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Alys'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('20'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Kosak'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('21'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Barak'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('22'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Kara'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('23'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Tamerlane'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('24'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Arachne'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('25'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Liche'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('26'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Jared'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('27'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Ichthys'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('28'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Tamara'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('29'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Loque'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('30'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Athena'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('31'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Cilia'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('32'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Sarena'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('33'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Malakai'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('34'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Visse'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('35'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Necroth'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('36'); // ID 
  Item.ImageIndex := 1; // 

  Item := LVUsers.Items.Add;
  Item.Caption := '';
  Item.SubItems.Add('Kragoth'); //  
  Item.SubItems.Add('7'); // 
  Item.SubItems.Add('37'); // ID 
  Item.ImageIndex := 1; // 

  LVUsers.Items.EndUpdate;
end;

procedure TFormMain.BPrivateClick(Sender: TObject);
begin
  if LVUsers.Selected = nil then Exit;
  FormPrivate.PrivateMessageAlarm(StrToInt(LVUsers.Items[LVUsers.ItemIndex].SubItems[2]));
end;

procedure TFormMain.BOpenAllClick(Sender: TObject);
var
  i: Integer;
begin
  for i := 0 to LVUsers.Items.Count - 1 do
  begin
    FormPrivate.ProcAddTab(StrToIntDef((LVUsers.Items[i].SubItems[2]), -1), LVUsers.Items[i].SubItems[0]);
  end;
end;

procedure TFormMain.BPrivateAllClick(Sender: TObject);
var
  i: Integer;
begin
  for i := 0 to LVUsers.Items.Count - 1 do
  begin
    FormPrivate.PrivateMessageAlarm(StrToInt(LVUsers.Items[i].SubItems[2]));
  end;
end;

end.
